TemplateInputDialogue
Keywords: uk.ac.ic.doc.automed.templates.gui.TemplateInputDialogue,TemplateInputDialogue class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.gui
Class TemplateInputDialogue

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.templates.gui.TemplateInputDialogue

All Implemented Interfaces:
  DialogueManager

public class TemplateInputDialogue
extends java.lang.Object
implements DialogueManager

Constructor Summary
`protected` | `TemplateInputDialogue(int sid, int transId, InteractiveSchemaDisplay display, uk.ac.ic.doc.automed.templates.gui.TemplateFrame frame)`

Method Summary
`protected void` | `displayCurrentInputForm()`
`static CompositeTransformationRecord` | `executeTransformation(int transId, InteractiveSchemaDisplay displ, java.awt.Frame owner)`
`static CompositeTransformationRecord` | `executeTransformation(int sid, int transId, java.awt.Frame owner)`
`static CompositeTransformationRecord` | `executeTransformation(int sid, int transId, InteractiveSchemaDisplay displ, java.awt.Frame owner)`
`protected CompositeTransformationRecord` | `getCompositeTransformationRecord()`
`void` | `inputObjectToTemplate(int obid, java.lang.String name)`
`protected void` | `popUpArgumentValues(TTemplateInputArgument[] arguments)`
`protected void` | `requestCancel()`
`protected void` | `requestFinish()`
`protected void` | `requestNext()`
`protected void` | `requestPrevious()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateInputDialogue

    protected TemplateInputDialogue(int sid,
                                    int transId,
                                    InteractiveSchemaDisplay display,
                                    uk.ac.ic.doc.automed.templates.gui.TemplateFrame frame)
                             throws java.lang.Exception

Method Detail

### executeTransformation

    public static CompositeTransformationRecord executeTransformation(int sid,
                                                                      int transId,
                                                                      java.awt.Frame owner)

### executeTransformation

    public static CompositeTransformationRecord executeTransformation(int sid,
                                                                      int transId,
                                                                      InteractiveSchemaDisplay displ,
                                                                      java.awt.Frame owner)

### executeTransformation

    public static CompositeTransformationRecord executeTransformation(int transId,
                                                                      InteractiveSchemaDisplay displ,
                                                                      java.awt.Frame owner)

### displayCurrentInputForm

    protected void displayCurrentInputForm()

### inputObjectToTemplate

    public void inputObjectToTemplate(int obid,
                                      java.lang.String name)

  Specified by:
    `inputObjectToTemplate` in interface `DialogueManager`

### requestNext

    protected void requestNext()

### requestPrevious

    protected void requestPrevious()

### requestCancel

    protected void requestCancel()

### requestFinish

    protected void requestFinish()

### getCompositeTransformationRecord

    protected CompositeTransformationRecord getCompositeTransformationRecord()

### popUpArgumentValues

    protected void popUpArgumentValues(TTemplateInputArgument[] arguments)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD